Bug 239158 - (perl-Net-Write) Review Request: perl-Net-Write - A portable interface to open and send raw data to network
Review Request: perl-Net-Write - A portable interface to open and send raw da...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: perl-Class-Gomor perl-Net-Pcap
Blocks: perl-Net-Packet
  Show dependency treegraph
 
Reported: 2007-05-05 09:23 EDT by Sindre Pedersen Bjørdal
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-18 17:47:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2007-05-05 09:23:26 EDT
Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-Write.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-Write-1.00-1.fc7.src.rpm

Description:
Net::Write provides a portable interface to open a network interface, and be
able to write raw data directly to the network. It juste provides three
methods when a Net::Write object has been created for an interface: open,
send, close.
Comment 1 Jason Tibbitts 2007-05-26 17:50:47 EDT
This package is under the Artistic license only and not both it and the GPL as
you indicate.

You need to add build dependencies on perl(Test), perl(Test::Pod) and 
perl(Test::Pod::Coverage) so that the tests will run.

I'd suggest packaging the included examples as documentation.  Some folks have
also been packaging the tests as documentation, but in this case I don't see how
those tests could possibly be useful as docs.

Review:
* source files match upstream:
   b31718768fbe43c78183fd2e45f83dee87b77f60075130e00ed87df96f9bec0b  
   Net-Write-1.00.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
X license field doesn't match the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
X some BuildRequires are missing.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Net::Write) = 1.00
   perl(Net::Write::Layer)
   perl(Net::Write::Layer2)
   perl(Net::Write::Layer3)
   perl(Net::Write::Layer4)
   perl-Net-Write = 1.00-1.fc7
  =
   perl(Carp)
   perl(Class::Gomor::Array)
   perl(Exporter)
   perl(IO::Socket)
   perl(Net::Pcap)
   perl(Net::Write::Layer)
   perl(Socket)
   perl(Socket6)
   perl(constant)
   perl(strict)
   perl(warnings)
X %check is present but some tests are skipped due to missing dependencies.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Sindre Pedersen Bjørdal 2007-05-26 18:23:45 EDT
Updated:

- Add examples dir as documentation
- Add missing BRs for tests
- Fix licensing

Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-Write.spec
SRPM URL:
http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-Write-1.00-2.fc7.src.rpm
Comment 3 Jason Tibbitts 2007-06-01 01:51:04 EDT
License: looks good now.
The build dependencies are sufficient to run all of the tests now:
   All tests successful.
   Files=3, Tests=11,  0 wallclock secs ( 0.34 cusr +  0.05 csys =  0.39 CPU)
Examples are packaged as %doc.

Everything looks good to me,
APPROVED
Comment 4 Sindre Pedersen Bjørdal 2007-06-02 05:27:03 EDT
New Package CVS Request
=======================
Package Name: perl-Net-Write
Short Description: A portable interface to open and send raw data to network
Owners: foolish@guezz.net
Branches: F-7 FC-6 EL-4 EL-5
Comment 5 Jason Tibbitts 2007-06-02 11:56:49 EDT
CVS done.
Comment 6 Jason Tibbitts 2007-06-18 14:48:00 EDT
Please don't forget to close this ticket once the package has been imported and
built.

Note You need to log in before you can comment on or make changes to this bug.